grk::DecompressorState Struct Reference

`#include <CodingParams.h>`

## Public Member Functions

| DecompressorState ()
bool | findNextSOT (CodeStreamDecompress *codeStream)
uint16_t | getState (void)
void | setState (uint16_t state)
void | orState (uint16_t state)
void | andState (uint16_t state)
void | setComplete (uint16_t tileIndex)

## Public Attributes

TileCodingParams * | default_tcp_
TileSet | tilesToDecompress_
uint64_t | lastSotReadPosition
| Position of the last SOT marker read.
bool | lastTilePartInCodeStream
| Indicate that the current tile-part is assumed to be the last tile part of the code stream.

## Private Attributes

uint16_t | state_
| Decoder state: used to indicate in which part of the code stream the decompressor is (main header, tile header, end)

## Constructor & Destructor Documentation

## DecompressorState()

grk::DecompressorState::DecompressorState | ( |  | ) |

## Member Function Documentation

## andState()

void grk::DecompressorState::andState | ( | uint16_t | state | ) |

References grk::grk_read(), and state_.

Referenced by findNextSOT().

## findNextSOT()

bool grk::DecompressorState::findNextSOT | ( | CodeStreamDecompress * | codeStream | ) |

References andState(), grk::DECOMPRESS_STATE_DATA, grk::DECOMPRESS_STATE_EOC, grk::DECOMPRESS_STATE_NO_EOC, grk::CodeStreamDecompress::getCurrentMarker(), getState(), grk::CodeStream::getStream(), grk::grk_read(), grk::GRK_WARN(), grk::J2K_MS_EOC, grk::J2K_MS_SOT, grk::CodeStreamDecompress::readMarker(), and setState().

Referenced by grk::CodeStreamDecompress::findNextSOT().

## getState()

uint16_t grk::DecompressorState::getState | ( | void |  | ) |

References state_.

Referenced by grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressValidation(), grk::CodeStreamDecompress::endOfCodeStream(), findNextSOT(), grk::CodeStreamDecompress::findNextSOT(), grk::CodeStreamDecompress::isDecodingTilePartHeader(), grk::CodeStreamDecompress::parseTileParts(), grk::CodeStreamDecompress::readCurrentMarkerBody(), and grk::CodeStreamDecompress::readHeaderProcedureImpl().

## orState()

void grk::DecompressorState::orState | ( | uint16_t | state | ) |

References grk::grk_read(), and state_.

Referenced by grk::CodeStreamDecompress::parseTileParts().

## setComplete()

void grk::DecompressorState::setComplete | ( | uint16_t | tileIndex | ) |

References grk::TileSet::setComplete(), and tilesToDecompress_.

## setState()

void grk::DecompressorState::setState | ( | uint16_t | state | ) |

References grk::grk_read(), and state_.

Referenced by grk::TileProcessor::cacheTilePartPackets(), grk::CodeStreamDecompress::decompressTile(), findNextSOT(), grk::CodeStreamDecompress::parseTileParts(), grk::CodeStreamDecompress::read_soc(), grk::CodeStreamDecompress::readHeaderProcedureImpl(), and grk::CodeStreamDecompress::readSOTorEOC().

## Member Data Documentation

## default_tcp_

TileCodingParams* grk::DecompressorState::default_tcp_

Referenced by grk::CodeStreamDecompress::CodeStreamDecompress(), grk::CodeStreamDecompress::copy_default_tcp(), grk::CodeStreamDecompress::get_current_decode_tcp(), grk::CodeStreamDecompress::readHeader(), and grk::CodeStreamDecompress::~CodeStreamDecompress().

## lastSotReadPosition

uint64_t grk::DecompressorState::lastSotReadPosition

Position of the last SOT marker read.

Referenced by grk::CodeStreamDecompress::CodeStreamDecompress(), grk::CodeStreamDecompress::nextTLM(), and grk::CodeStreamDecompress::parseTileParts().

## lastTilePartInCodeStream

bool grk::DecompressorState::lastTilePartInCodeStream

Indicate that the current tile-part is assumed to be the last tile part of the code stream.

This is useful in the case when PSot is equal to zero. The SOT length will be computed in the SOD reader function.

Referenced by grk::SOTMarker::read().

## state_

uint16_t grk::DecompressorState::state_

private

Decoder state: used to indicate in which part of the code stream the decompressor is (main header, tile header, end)

Referenced by andState(), getState(), orState(), and setState().

## tilesToDecompress_

TileSet grk::DecompressorState::tilesToDecompress_

Referenced by grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::CodeStreamDecompress::parseTileParts(), setComplete(), and grk::CodeStreamDecompress::skipNonScheduledTLM().

The documentation for this struct was generated from the following files:

- CodingParams.h
- CodingParams.cpp